---

- name: Importing role tasks (requirements, download, prepare)
  block:
    - import_tasks: debug.yml # list role variables
      #- import_tasks: requirements.yml # install hadoop requirements
    - import_tasks: download.yml # download hadoop binaries
      when: not_download_hadoop is undefined
    - import_tasks: prepare.yml # create systemd services for hadoop services (namenode, datanode, ...)

